<!-- ![data](assets/cover/cover.jpg) -->

![cover](https://github.com/IdealisticINTJ/ml-beginner-portfolio/assets/65449934/eafef774-5b6e-4591-acc0-7a4652d54c44)


[![forthebadge](https://forthebadge.com/images/badges/built-with-swag.svg)](https://forthebadge.com) [![forthebadge](https://forthebadge.com/images/badges/powered-by-coffee.svg)](https://forthebadge.com)

[![GitHub stars](https://img.shields.io/github/stars/IdealisticINTJ/ml-beginner-portfolio.svg?style=social)](https://github.com/IdealisticINTJ/ml-beginner-portfolio/stargazers)
[![GitHub forks](https://img.shields.io/github/forks/IdealisticINTJ/ml-beginner-portfolio?style=flat&label=Forks&color=1082c3)](https://github.com/IdealisticINTJ/ml-beginner-portfolio/forks)


> [!IMPORTANT]  
> [Datasets are here!](https://github.com/IdealisticINTJ/ml-beginner-portfolio/blob/main/dataset-info.md) 🔓


## Repository Structure

| **Category**                               | **Description**                                                                                                                                                                          |
|-------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Artificial Neural Networks (ANNs)         | Explore projects related to ANNs, which are computing systems inspired by the human brain that process information and make predictions.                                                  |
| Breast Cancer Prediction                   | Engage in projects aimed at predicting breast cancer using various machine learning techniques.                                                                                       |
| Dimensionality Reduction                   | Understand dimensionality reduction techniques, which help simplify complex data by reducing the number of variables.                                                                  |
| Generative Adversarial Networks (GANs)     | Delve into the world of GANs, a class of machine learning systems for generating data by training on real data distributions.                                                         |
| House Price Prediction                      | Predict house prices using various machine learning models and datasets related to real estate.                                                                                      |
| Linear Algebra Basics                       | Discover fundamental concepts in linear algebra, a key mathematical foundation for machine learning and data analysis.                                                                |
| Machine Learning Basics (ML Basics)         | Explore the essentials of machine learning, including fundamental algorithms and concepts.                                                                                            |
| Natural Language Processing (NLP)          | Explore projects related to text and language processing, which involves analyzing and generating human language.                                                                    |
| Personality Prediction                      | Gain insights into personality prediction, where machine learning models are used to understand and predict human personality traits.                                                    |
| Recommendations                            | Explore recommender system projects, including anime and movie recommendations that help users discover content.                                                                     |
| Resources                                  | Access additional resources and references to enhance your machine learning knowledge, including PDFs, guides, and more.                                                              |
| Sentiment Analysis                         | Dive into projects focusing on sentiment analysis, which involves determining emotions and opinions expressed in text.                                                                |
| Speech Processing                          | Explore projects related to speech analysis and processing, including speech recognition and synthesis.                                                                               |
| COVID-19 Detection                         | Engage in projects aimed at detecting COVID-19 through data analysis and machine learning techniques.                                                                                 |
| Happiness Index Analysis                   | Analyze and understand the happiness index to gain insights into factors contributing to happiness.                                                                                  |




## Projects List

1. [Covid Detection](covid-detection/COVID_X-Ray_Detection.ipynb)
    > Deep Learning, Image Processing, X-ray Image Analysis

2. [Happiness Index Analysis](happiness-index-analysis/Ingredients_of_Indian_Sukh.ipynb)
    > Data Analysis, Exploratory Data Analysis (EDA), Data Visualization

3. [Anime Recommendation](recommendations/anime-recommendation/Anime_Recommendation_System.ipynb)
    > Collaborative Filtering, Content-Based Filtering, Recommender Systems

4. [Movie Recommendation](recommendations/movie-recommendation/Movie_Recommendations.ipynb)
    > Cosine Similarity, Content-Based Filtering, Recommender Systems

5. [Breast Cancer Prediction](breast-cancer-prediction/Breast_Cancer_Prediction/Breast_Cancer_Prediction.ipynb)
    > Machine Learning, Logistic Regression, Data Preprocessing, Model Evaluation

6. [Dimensionality Reduction](dimensionality-reduction/dimensionality-reduction/PCA.py)
    > Principal Component Analysis (PCA), Feature Reduction

7. [Generative Adversarial Networks](generative-adversarial-networks/generative-adversarial-networks/GANs/GAN.ipynb)
    > Generative Adversarial Networks (GANs), Deep Learning

8. [Heart Disease Detection](heart-disease-detection/Heart_Disease_Detection.ipynb)
    > Machine Learning, Logistic Regression, Data Analysis

9. [House Price Prediction](house-price-prediction/House_Price_Prediction/House_Price_Prediction.ipynb)
    > Machine Learning, XGBoost Regressor, Feature Engineering

10. [Linear Algebra Basics](linear-algebra-basics/linear-algebra-basics/Linear_Algebra.ipynb)
    > Linear Algebra Concepts, Mathematics

11. [ML Basics](ml-basics/ml-basics/Regression.ipynb)
    > Machine Learning Fundamentals, Regression Analysis

12. [Natural Language Processing](natural-language-processing/natural-language-processing/nlp.py)
    > Natural Language Processing (NLP), Text Analysis, NLP Libraries

13. [Personality Prediction](personality-prediction/personality-prediction/MBTI_PersonalityPredictor.ipynb)
    > Machine Learning, Personality Prediction, Classification

14. [Resources](resources)
    > Additional Resources and References

15. [Sentiment Analysis](sentiment-analysis/sentiment-analysis/Recommendations/Sentiment_Analysis.ipynb)
    > Sentiment Analysis, Text Classification, Text Processing

16. [Parkinson Disease Detection](speech-processing/speech-processing/speech-processing/Parkinson's_Detection_Speech_Processing.ipynb)
    > Speech Processing, Health Diagnosis, Machine Learning


---

| ⭐ Star this repository | 🎁 Use and share for educational purpose | 🖥️ Happy Machine Learning |
| :---------------------: | :--------------------------------------: | ------------------------- |
